## singularity-container 4.0.1+ds1

=== debian/changelog ===
singularity-container (4.0.1+ds1-1) unstable; urgency=medium

  [ Nilesh Patra ]
  * Team Upload.
  * New upstream version 4.0.1+ds1 (Refresh patches)
  * d/copyright:
    + Remove following packages from exclusion which are
      not vendored anymore:
      - vendor/github.com/go-logr/logr
      - vendor/github.com/go-logr/stdr
      - vendor/github.com/kr/pty
      - vendor/github.com/moby/locker
      - vendor/go.etcd.io/bbolt
      - vendor/gopkg.in/square/go-jose.v2
      - vendor/go.opentelemetry.io/otel
      - vendor/oras.land/oras-go
      - third_party/squashfuse
    + Exclude following vendored stuff:
      - vendor/github.com/containerd/stargz-snapshotter
      - vendor/github.com/mattn/go-sqlite3
      - vendor/github.com/mitchellh/go-homedir
    + Include back following modules due to FTBFS with system packages
      - vendor/github.com/container-orchestrated-devices/container-device-interface
    + Add copyrights for the new included modules.
    + Mention myself in copyright, update copyright year
  * d/control:
    + Add new B-D on:
      - golang-github-containerd-stargz-snapshotter-dev
      - golang-github-mitchellh-go-homedir-dev
      - golang-github-samber-lo-dev
    + Remove B-D on:
      - golang-github-coreos-bbolt-dev
      - golang-github-kr-pty-dev
      - golang-github-moby-locker-dev
      - golang-github-morikuni-aec-dev
      - golang-oras-oras-go-dev
    + Add Recommends on:
      - squashfuse
    + Remove duplicate B-D on golang-github-containers-image-dev
  * d/rules:
    + Pass --without-squashfuse to use system provided binary
    + Add pkg/ocibundle/ocisif to DH_GOLANG_EXCLUDES for tests
    + Run tests with package specific tags GO tags
      It otherwise FTBFS since it needs at least singularity_enigne tag
    + Fix perms of verify_ocsp.go, remove +x perms
  * Add lintian override for field-too-long Built-Using (Heavy package)

  [ Chirag Sukhala ]
  * Added basic unit test case that could be used to validate functionality
    befiore each upload. For now this needs to be run manually as singularity
    can not run inside lxc container used at debci.

 -- Nilesh Patra <nilesh@debian.org>  Wed, 18 Oct 2023 23:45:24 +0530

=== debian/control ===
Source: singularity-container
Section: admin
Priority: optional
Standards-Version: 4.6.2
Maintainer: Debian HPC Team <debian-hpc@lists.debian.org>
Uploaders: Mehdi Dogguy <mehdi@debian.org>,
           Yaroslav Halchenko <debian@onerussian.com>,
           Dmitry Smirnov <onlyjob@debian.org>,
           Benda Xu <orv@debian.org>
Build-Depends: debhelper-compat (= 13) ,dh-golang
    ,cryptsetup-bin
    ,golang-any
    ,golang-github-acarl005-stripansi-dev
    ,golang-github-apex-log-dev
    ,golang-github-appc-cni-dev (>= 1.0.1~)
    ,golang-github-azure-go-ansiterm-dev
    ,golang-github-containernetworking-plugins-dev
    ,golang-github-containerd-stargz-snapshotter-dev
    ,golang-github-blang-semver-dev (>= 4)
    ,golang-github-buger-goterm-dev
    ,golang-github-buger-jsonparser-dev
    ,golang-github-russross-blackfriday-v2-dev
    ,golang-github-cespare-xxhash-dev
    ,golang-github-cilium-ebpf-dev
    ,golang-github-cloudflare-circl-dev
    ,golang-github-containerd-cgroups-dev
#   ,golang-github-containerd-containerd-dev (>= 1.2.6~) :: (provided by docker)
    ,golang-github-containers-image-dev
    ,golang-github-containers-common-dev
    ,golang-github-containers-storage-dev
    ,golang-github-containers-ocicrypt-dev
    ,golang-github-docker-docker-credential-helpers-dev
    ,golang-github-docker-libtrust-dev
    ,golang-github-gorilla-websocket-dev
    ,golang-github-go-log-log-dev
    ,golang-github-golang-groupcache-dev
    ,golang-github-gotestyourself-gotest.tools-dev
    ,golang-github-google-uuid-dev
    ,golang-github-hashicorp-go-retryablehttp-dev (>= 0.6.2~)
    ,golang-github-json-iterator-go-dev
    ,golang-github-mitchellh-go-homedir-dev
    ,golang-github-moby-patternmatcher-dev
    ,golang-github-moby-term-dev
    ,golang-mvdan-sh-dev
    ,golang-github-netflix-go-expect-dev
    ,golang-github-opencontainers-image-spec-dev
    ,golang-github-opencontainers-runtime-tools-dev
    ,golang-github-opencontainers-selinux-dev
    ,golang-github-opencontainers-specs-dev
    ,golang-github-opensuse-umoci-dev
    ,golang-github-pelletier-go-toml.v2-dev
    ,golang-github-pkg-errors-dev
    ,golang-github-proglottis-gpgme-dev
    ,golang-github-pquerna-ffjson-dev
    ,golang-github-protonmail-go-crypto-dev
    ,golang-github-safchain-ethtool-dev
    ,golang-github-samber-lo-dev
    ,golang-github-satori-go.uuid-dev
    ,golang-github-spf13-cobra-dev
    ,golang-github-spf13-pflag-dev
    ,golang-google-genproto-dev
    ,golang-gopkg-square-go-jose.v2-dev
    ,golang-gopkg-yaml.v3-dev
    ,golang-github-sylabs-json-resp-dev
    ,golang-github-vbatts-tar-split-dev
#   ,golang-golang-x-crypto-dev :: (patched by upstream)
    ,golang-golang-x-term-dev
    ,golang-golang-x-text-dev
    ,golang-golang-x-sys-dev
    ,golang-gopkg-cheggaaa-pb.v1-dev
    ,help2man
    ,libgpgme-dev
    ,libssl-dev
    ,stow
    ,uuid-dev
Homepage: https://www.sylabs.io
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/hpc-team/singularity-container.git
Vcs-Browser: https://salsa.debian.org/hpc-team/singularity-container
XS-Go-Import-Path: github.com/sylabs/singularity

Package: singularity-container
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${misc:Depends} ,${shlibs:Depends}
    ,ca-certificates
    ,containernetworking-plugins
    ,squashfs-tools
Recommends: e2fsprogs
            ,conmon
            ,runc
            ,squashfuse
Description: container platform focused on supporting "Mobility of Compute"
 Mobility of Compute encapsulates the development to compute model
 where developers can work in an environment of their choosing and
 creation and when the developer needs additional compute resources,
 this environment can easily be copied and executed on other platforms.
 Additionally as the primary use case for Singularity is targeted
 towards computational portability, many of the barriers to entry of
 other container solutions do not apply to Singularity making it an
 ideal solution for users (both computational and non-computational)
 and HPC centers.

Package: golang-github-sylabs-singularity-dev
Section: golang
Architecture: all
Depends: ${misc:Depends}
    ,golang-github-appc-cni-dev (>= 0.7.1~)
    ,golang-github-blang-semver-dev (>= 4)
    ,golang-github-containernetworking-plugins-dev
    ,golang-github-containers-image-dev
    ,golang-github-gorilla-websocket-dev
    ,golang-github-opencontainers-image-spec-dev
    ,golang-github-opencontainers-selinux-dev
    ,golang-github-opencontainers-specs-dev
    ,golang-github-opensuse-umoci-dev
    ,golang-github-pelletier-go-toml.v2-dev
    ,golang-github-satori-go.uuid-dev
    ,golang-github-spf13-cobra-dev
    ,golang-github-spf13-pflag-dev
    ,golang-github-sylabs-json-resp-dev
    ,golang-golang-x-crypto-dev
    ,golang-gopkg-cheggaaa-pb.v1-dev
    ,golang-gopkg-yaml.v2-dev
Description: development files for Singularity application container engine
 Mobility of Compute encapsulates the development to compute model
 where developers can work in an environment of their choosing and
 creation and when the developer needs additional compute resources,
 this environment can easily be copied and executed on other platforms.
 Additionally as the primary use case for Singularity is targeted
 towards computational portability, many of the barriers to entry of
 other container solutions do not apply to Singularity making it an
 ideal solution for users (both computational and non-computational)
 and HPC centers.
 .
 This package provides Golang sources for the Singularity API.

## singularity-container 4.0.2+ds1

=== debian/changelog ===
singularity-container (4.0.2+ds1-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 4.0.2+ds1
  * d/control:
    + Add versioned B-D on a container image related deps
    + Add vesioned B-D on golang-any
    + Add versioned B-D on golang-github-vbauerster-mpb-dev
  * d/copyright:
    + Remove following packages from exclusion which are
      not vendored anymore:
      - vendor/github.com/theupdateframework/go-tuf
    + Exclude the following vendored stuff:
      - vendor/github.com/vbauerster/mpb

 -- Nilesh Patra <nilesh@debian.org>  Mon, 20 Nov 2023 04:35:21 +0530

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
            Benda Xu <orv@debian.org>
 Build-Depends: debhelper-compat (= 13) ,dh-golang
     ,cryptsetup-bin
-    ,golang-any
+    ,golang-any (>= 2:1.20~)
     ,golang-github-acarl005-stripansi-dev
     ,golang-github-apex-log-dev
     ,golang-github-appc-cni-dev (>= 1.0.1~)
@@ -25,7 +25,7 @@
     ,golang-github-cloudflare-circl-dev
     ,golang-github-containerd-cgroups-dev
 #   ,golang-github-containerd-containerd-dev (>= 1.2.6~) :: (provided by docker)
-    ,golang-github-containers-image-dev
+    ,golang-github-containers-image-dev (>= 5.26.1~)
     ,golang-github-containers-common-dev
     ,golang-github-containers-storage-dev
     ,golang-github-containers-ocicrypt-dev
@@ -43,11 +43,11 @@
     ,golang-github-moby-term-dev
     ,golang-mvdan-sh-dev
     ,golang-github-netflix-go-expect-dev
-    ,golang-github-opencontainers-image-spec-dev
+    ,golang-github-opencontainers-image-spec-dev (>= 1.1.0~rc4~)
     ,golang-github-opencontainers-runtime-tools-dev
     ,golang-github-opencontainers-selinux-dev
     ,golang-github-opencontainers-specs-dev
-    ,golang-github-opensuse-umoci-dev
+    ,golang-github-opensuse-umoci-dev (>= 0.4.7+ds-4~)
     ,golang-github-pelletier-go-toml.v2-dev
     ,golang-github-pkg-errors-dev
     ,golang-github-proglottis-gpgme-dev
@@ -63,6 +63,7 @@
     ,golang-gopkg-yaml.v3-dev
     ,golang-github-sylabs-json-resp-dev
     ,golang-github-vbatts-tar-split-dev
+    ,golang-github-vbauerster-mpb-dev (>= 8.6.1~)
 #   ,golang-golang-x-crypto-dev :: (patched by upstream)
     ,golang-golang-x-term-dev
     ,golang-golang-x-text-dev
@@ -108,12 +109,12 @@
     ,golang-github-appc-cni-dev (>= 0.7.1~)
     ,golang-github-blang-semver-dev (>= 4)
     ,golang-github-containernetworking-plugins-dev
-    ,golang-github-containers-image-dev
+    ,golang-github-containers-image-dev (>= 5.26.1~)
     ,golang-github-gorilla-websocket-dev
-    ,golang-github-opencontainers-image-spec-dev
+    ,golang-github-opencontainers-image-spec-dev (>= 1.1.0~rc4~)
     ,golang-github-opencontainers-selinux-dev
     ,golang-github-opencontainers-specs-dev
-    ,golang-github-opensuse-umoci-dev
+    ,golang-github-opensuse-umoci-dev (>= 0.4.7+ds-4~)
     ,golang-github-pelletier-go-toml.v2-dev
     ,golang-github-satori-go.uuid-dev
     ,golang-github-spf13-cobra-dev

## singularity-container 4.0.3+ds1

=== debian/changelog ===
singularity-container (4.0.3+ds1-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 4.0.3+ds1
  * d/control:
    + Add B-D on golang-github-go-jose-go-jose-dev
  * d/copyright:
    + Exclude the following vendored packages:
      - vendor/github.com/go-jose/go-jose/v3
      - vendor/github.com/samber/lo

 -- Nilesh Patra <nilesh@debian.org>  Tue, 16 Jan 2024 20:19:18 +0530

=== debian/control ===
--- 
+++ 
@@ -33,6 +33,7 @@
     ,golang-github-docker-libtrust-dev
     ,golang-github-gorilla-websocket-dev
     ,golang-github-go-log-log-dev
+    ,golang-github-go-jose-go-jose-dev
     ,golang-github-golang-groupcache-dev
     ,golang-github-gotestyourself-gotest.tools-dev
     ,golang-github-google-uuid-dev

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/pkg-info.mk

#DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
# Causes static variable to become having multiple instances, so we need to strip it away
# See https://github.com/singularityware/singularity/issues/1947
export DEB_LDFLAGS_MAINT_STRIP=-Wl,-Bsymbolic-functions

PKGDIR=debian/singularity-container
export SINGULARITY_CACHEDIR=$(PKGDIR)/var/lib/singularity/cache

export GOPATH=$(CURDIR)/_build
SRCDIR = _build/src/github.com/sylabs/singularity

export DESTDIR:=$(CURDIR)/$(PKGDIR)/
export HOME:=$(CURDIR)/debian/tmp

export DH_GOLANG_GO_GENERATE := 1
export DH_GOLANG_INSTALL_ALL := 1

# Prune +,ds etc from version
UPSTREAM_VERSION := $(shell echo $(DEB_VERSION_UPSTREAM) | sed 's/+.*//')

# List test tags
GO_TEST_TAGS := containers_image_openpgp exclude_graphdriver_btrfs exclude_graphdriver_devicemapper sylog singularity_engine fakeroot_engine

%:
	dh $@ --with golang --builddirectory=_build --buildsystem=golang

override_dh_auto_configure:
# prepare source directory the way the build system wants it
# https://www.sylabs.io/guides/3.0/user-guide/quick_start.html#compile-the-singularity-binary
	dh_auto_configure --builddirectory=_build
	mkdir -p $(CURDIR)/vendor/github.com/storage
	$(RM) -rf $(CURDIR)/vendor/github.com/storage/conmon/cmd
### Dodgy way to prepare "vendor" directory as GOPATH with all dependencies:
	mv -v $(CURDIR)/$(SRCDIR)/vendor $(CURDIR)/$(SRCDIR)/src
	dh_auto_configure --builddirectory=$(CURDIR)/$(SRCDIR)
	$(RM) -rf $(CURDIR)/$(SRCDIR)/src/github.com/sylabs/singularity
	mv -v $(CURDIR)/$(SRCDIR)/src $(CURDIR)/$(SRCDIR)/vendor

## Why, why is this necessary??
##	../vendor/github.com/containerd/cgroups/systemd.go:149:3: cannot use "github.com/sylabs/singularity/vendor/github.com/godbus/dbus".MakeVariant(units) (type "github.com/sylabs/singularity/vendor/github.com/godbus/dbus".Variant) as type "github.com/godbus/dbus".Variant in field value
## Similar weirdness for opencontainers as well
	$(RM) -v  $(SRCDIR)/vendor/github.com/godbus
	$(RM) -v  $(SRCDIR)/vendor/github.com/opencontainers
# Somehow this is copied twice and ends up with gcc failure due to default -fno-common
	$(RM) -v $(SRCDIR)/vendor/github.com/containers/storage
	$(RM) -v $(SRCDIR)/vendor/github.com/seccomp

# perform the configuration
	cd $(SRCDIR) && \
	./mconfig -v \
	  -b builddir \
	  -V $(UPSTREAM_VERSION) \
	  --prefix=/usr \
	  --sysconfdir=/etc \
	  --libexecdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
	  --localstatedir=/var/lib \
	  --without-network \
          --without-conmon \
	  --without-squashfuse \
	;

override_dh_auto_build:
	ln -s opencontainers $(SRCDIR)/vendor/github.com/openSUSE
	cd $(SRCDIR) && \
	$(MAKE) -C builddir GOFLAGS="-v -mod=readonly" GO111MODULE=off

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	DH_GOLANG_EXCLUDES="cmd/singularity e2e etc/conf internal pkg/image pkg/network pkg/client/shub pkg/ocibundle/sif pkg/ocibundle/ocisif pkg/util/fs/proc /pkg/util/loop pkg/util/namespaces pkg/util/sysctl" \
        PATH="$(CURDIR)/$(SRCDIR)/builddir:$$PATH" \
        dh_auto_test -v -- -tags "$(GO_TEST_TAGS)"
	## Downloads golangci-lint:
	#-$(MAKE) -C $(SRCDIR)/builddir check
endif

override_dh_auto_install:
	$(MAKE) -C $(SRCDIR)/builddir install
	: # move bash completions into now new standard location
	-mv -v $(PKGDIR)/etc/bash_completion.d $(PKGDIR)/usr/share/bash-completion/completions

override_dh_install:
	dh_install -XLICENSE.md
	for f in `find debian/ -name testdata`; do \
		$(RM) -rf $$f; \
	done

override_dh_installman:
	: # Very sloppy man pages for now
	debian/generate_manpages $(PKGDIR) $(DEB_VERSION)
	dh_installman

override_dh_fixperms:
	dh_fixperms
	# changing ownership of 'debian/singularity-container/usr/lib/x86_64-linux-gnu/singularity/bin/starter': Operation not permitted
	#   ... but the final files are owned by root anyway
	# chown -c root.root $(PKGDIR)/usr/lib/*/singularity/bin/*
	chmod -c 4755 $(PKGDIR)/usr/lib/*/singularity/bin/*-suid
	-find debian/ -name verify_ocsp.go | xargs chmod -x

override_dh_clean:
	dh_clean
	## Remove Files-Excluded (when built from checkout or non-DFSG tarball):
	$(RM) -rv `perl -0nE 'say $$1 if m{^Files\-Excluded\:\s*(.*?)(?:\n\n|Files:|Comment:)}sm;' debian/copyright`
	-find vendor -mindepth 1 -type d -empty -delete -printf 'removed %p\n'
#	-find . -type f -name '*.generated.go' -delete -printf 'removed %p\n'     ## delete .generated.go files
#	-find . -type f -name '*.pb.go' -delete -printf 'removed %p\n'            ## delete generated .pb.go files

# dh_golang uses `go list` to find the dependencies, then maps them
# to Debian packages. However, it wipes out the GOPATH and forces it
# to look only in <build-directory>/src. It's supposed to have symlinked
# the central libraries from /usr/share/gocode into here, but this doesn't
# appear to be happening (maybe since we aren't using `--buildsystem=golang`).
# I worked around this by using GNU stow to do the symlinking. I also stow
# the vendored libraries in to prevent dh_golang from failing.
#override_dh_golang:
#	stow vendor -t go/src
#	ln -sv /usr/share/gocode/src gocode
#	stow gocode --defer '.*crypto' --defer '.*containernetworking' -t go/src/
#	dh_golang --builddirectory=go
# clean up
#	stow -D vendor -t go/src
#	stow -D gocode -t go/src
#	$(RM) gocode

=== debian/watch ===
version=4
opts="searchmode=plain,repacksuffix=+ds1,repack,dversionmangle=auto, \
filenamemangle=s/.+\/singularity-container-@ANY_VERSION@.tar.gz/@PACKAGE@-$1\.tar\.gz/" \
   https://api.github.com/repos/sylabs/singularity/releases \
https://github.com/sylabs/singularity/releases/download/v\d[\.\d]*/singularity-ce-@ANY_VERSION@.tar.gz

## singularity-container 4.1.1%2Bds2

=== debian/changelog ===
singularity-container (4.1.1+ds2-1ubuntu0.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Mon, 21 Jul 2025 13:26:37 +1000

singularity-container (4.1.1+ds2-1ubuntu0.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 08 Nov 2024 15:48:50 +1000

singularity-container (4.1.1+ds2-1ubuntu0.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Tue, 16 Jul 2024 10:42:24 +0530

singularity-container (4.1.1+ds2-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:44:17 +1100

singularity-container (4.1.1+ds2-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 4.1.1+ds1
  * Exclude a bunch of vendored stuff, add corresponding B-D
    (Heavy refactoring)
  * Drop conveyorPacker_oci.patch, refresh rest patches
  * Remove copyright for removed vendored dirs
  * Remove Yaroslav and onlyjob from uploaders. Thanks for your work.

 -- Nilesh Patra <nilesh@debian.org>  Sun, 25 Feb 2024 03:42:28 +0530

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,9 @@
 Section: admin
 Priority: optional
 Standards-Version: 4.6.2
-Maintainer: Debian HPC Team <debian-hpc@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian HPC Team <debian-hpc@lists.debian.org>
 Uploaders: Mehdi Dogguy <mehdi@debian.org>,
-           Yaroslav Halchenko <debian@onerussian.com>,
-           Dmitry Smirnov <onlyjob@debian.org>,
            Benda Xu <orv@debian.org>
 Build-Depends: debhelper-compat (= 13) ,dh-golang
     ,cryptsetup-bin
@@ -14,8 +13,15 @@
     ,golang-github-apex-log-dev
     ,golang-github-appc-cni-dev (>= 1.0.1~)
     ,golang-github-azure-go-ansiterm-dev
+    ,golang-github-cenkalti-backoff-dev
     ,golang-github-containernetworking-plugins-dev
+    ,golang-github-containerd-console-dev
+    ,golang-github-containerd-continuity-dev
+    ,golang-github-containerd-fifo-dev
+    ,golang-github-containerd-go-cni-dev
     ,golang-github-containerd-stargz-snapshotter-dev
+    ,golang-github-containerd-go-runc-dev
+    ,golang-github-coreos-bbolt-dev
     ,golang-github-blang-semver-dev (>= 4)
     ,golang-github-buger-goterm-dev
     ,golang-github-buger-jsonparser-dev
@@ -23,27 +29,35 @@
     ,golang-github-cespare-xxhash-dev
     ,golang-github-cilium-ebpf-dev
     ,golang-github-cloudflare-circl-dev
-    ,golang-github-containerd-cgroups-dev
 #   ,golang-github-containerd-containerd-dev (>= 1.2.6~) :: (provided by docker)
     ,golang-github-containers-image-dev (>= 5.26.1~)
     ,golang-github-containers-common-dev
     ,golang-github-containers-storage-dev
-    ,golang-github-containers-ocicrypt-dev
     ,golang-github-docker-docker-credential-helpers-dev
     ,golang-github-docker-libtrust-dev
     ,golang-github-gorilla-websocket-dev
+    ,golang-github-gofrs-flock-dev
+    ,golang-github-grpc-ecosystem-go-grpc-middleware-dev
     ,golang-github-go-log-log-dev
-    ,golang-github-go-jose-go-jose-dev
+    ,golang-github-go-logr-logr-dev
+    ,golang-github-go-logr-stdr-dev
     ,golang-github-golang-groupcache-dev
     ,golang-github-gotestyourself-gotest.tools-dev
+    ,golang-github-google-shlex-dev
     ,golang-github-google-uuid-dev
+    ,golang-github-gogo-googleapis-dev
+    ,golang-github-golang-groupcache-dev
     ,golang-github-hashicorp-go-retryablehttp-dev (>= 0.6.2~)
-    ,golang-github-json-iterator-go-dev
+    ,golang-github-hashicorp-go-immutable-radix-dev
     ,golang-github-mitchellh-go-homedir-dev
+    ,golang-github-moby-locker-dev
     ,golang-github-moby-patternmatcher-dev
     ,golang-github-moby-term-dev
+    ,golang-github-morikuni-aec-dev
     ,golang-mvdan-sh-dev
     ,golang-github-netflix-go-expect-dev
+    ,golang-github-tonistiigi-fsutil-dev (>= 0.0~git20230630.36ef4d8-1~)
+    ,golang-github-tonistiigi-units-dev
     ,golang-github-opencontainers-image-spec-dev (>= 1.1.0~rc4~)
     ,golang-github-opencontainers-runtime-tools-dev
     ,golang-github-opencontainers-selinux-dev
@@ -51,7 +65,6 @@
     ,golang-github-opensuse-umoci-dev (>= 0.4.7+ds-4~)
     ,golang-github-pelletier-go-toml.v2-dev
     ,golang-github-pkg-errors-dev
-    ,golang-github-proglottis-gpgme-dev
     ,golang-github-pquerna-ffjson-dev
     ,golang-github-protonmail-go-crypto-dev
     ,golang-github-safchain-ethtool-dev
@@ -59,7 +72,6 @@
     ,golang-github-satori-go.uuid-dev
     ,golang-github-spf13-cobra-dev
     ,golang-github-spf13-pflag-dev
-    ,golang-google-genproto-dev
     ,golang-gopkg-square-go-jose.v2-dev
     ,golang-gopkg-yaml.v3-dev
     ,golang-github-sylabs-json-resp-dev
@@ -71,7 +83,6 @@
     ,golang-golang-x-sys-dev
     ,golang-gopkg-cheggaaa-pb.v1-dev
     ,help2man
-    ,libgpgme-dev
     ,libssl-dev
     ,stow
     ,uuid-dev

## singularity-container 4.1.1+ds2

=== debian/rules ===
--- 
+++ 
@@ -48,7 +48,6 @@
 	$(RM) -v  $(SRCDIR)/vendor/github.com/godbus
 	$(RM) -v  $(SRCDIR)/vendor/github.com/opencontainers
 # Somehow this is copied twice and ends up with gcc failure due to default -fno-common
-	$(RM) -v $(SRCDIR)/vendor/github.com/containers/storage
 	$(RM) -v $(SRCDIR)/vendor/github.com/seccomp
 
 # perform the configuration

## singularity-container 4.1.2+ds1

=== debian/changelog ===
singularity-container (4.1.2+ds1-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 4.1.2+ds1
  * Add Builddep on golang-github-felixge-httpsnoop-dev

 -- Nilesh Patra <nilesh@iki.fi>  Sun, 07 Apr 2024 16:55:43 +0530

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Section: admin
 Priority: optional
 Standards-Version: 4.6.2
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian HPC Team <debian-hpc@lists.debian.org>
+Maintainer: Debian HPC Team <debian-hpc@lists.debian.org>
 Uploaders: Mehdi Dogguy <mehdi@debian.org>,
            Benda Xu <orv@debian.org>
 Build-Depends: debhelper-compat (= 13) ,dh-golang
@@ -35,6 +34,7 @@
     ,golang-github-containers-storage-dev
     ,golang-github-docker-docker-credential-helpers-dev
     ,golang-github-docker-libtrust-dev
+    ,golang-github-felixge-httpsnoop-dev
     ,golang-github-gorilla-websocket-dev
     ,golang-github-gofrs-flock-dev
     ,golang-github-grpc-ecosystem-go-grpc-middleware-dev

## singularity-container 4.1.5+ds3

=== debian/changelog ===
singularity-container (4.1.5+ds3-1) unstable; urgency=medium

  * Team Upload.
  * Restore .gitlab-ci.yml and prevent it from getting deleted
  * New upstream version 4.1.5+ds3
  * Update minimum version of patternmatcher-dev
  * Update dependency on golang-lru
  * Update dependency on image-spec
  * Pre-repack change to vendor x/sys
  * Update copyright

 -- Nilesh Patra <nilesh@debian.org>  Tue, 20 Aug 2024 00:16:45 +0530

singularity-container (4.1.5+ds2-1) unstable; urgency=medium

  * Team Upload.
  * Update vendored libs to exclude and copyright licenses
  * New upstream version 4.1.5+ds1 (Closes: #1078515)
    + Update paths (Drop jose.v2 patch -- no longer used)
  * Add new Build-Deps
  * Update GO_TEST_TAGS
  * Update test to check for regression with #1012469

 -- Nilesh Patra <nilesh@debian.org>  Sun, 18 Aug 2024 22:42:30 +0530

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,9 @@
     ,golang-github-containerd-console-dev
     ,golang-github-containerd-continuity-dev
     ,golang-github-containerd-fifo-dev
+    ,golang-github-containerd-errdefs-dev
     ,golang-github-containerd-go-cni-dev
+    ,golang-github-containerd-platforms-dev
     ,golang-github-containerd-stargz-snapshotter-dev
     ,golang-github-containerd-go-runc-dev
     ,golang-github-coreos-bbolt-dev
@@ -37,7 +39,6 @@
     ,golang-github-felixge-httpsnoop-dev
     ,golang-github-gorilla-websocket-dev
     ,golang-github-gofrs-flock-dev
-    ,golang-github-grpc-ecosystem-go-grpc-middleware-dev
     ,golang-github-go-log-log-dev
     ,golang-github-go-logr-logr-dev
     ,golang-github-go-logr-stdr-dev
@@ -47,18 +48,20 @@
     ,golang-github-google-uuid-dev
     ,golang-github-gogo-googleapis-dev
     ,golang-github-golang-groupcache-dev
+    ,golang-github-hashicorp-go-cleanhttp-dev
     ,golang-github-hashicorp-go-retryablehttp-dev (>= 0.6.2~)
-    ,golang-github-hashicorp-go-immutable-radix-dev
+    ,golang-github-hashicorp-golang-lru-v2-dev
     ,golang-github-mitchellh-go-homedir-dev
+    ,golang-github-moby-docker-image-spec-dev
     ,golang-github-moby-locker-dev
-    ,golang-github-moby-patternmatcher-dev
+    ,golang-github-moby-patternmatcher-dev (>= 0.6.0-1~)
     ,golang-github-moby-term-dev
     ,golang-github-morikuni-aec-dev
     ,golang-mvdan-sh-dev
     ,golang-github-netflix-go-expect-dev
-    ,golang-github-tonistiigi-fsutil-dev (>= 0.0~git20230630.36ef4d8-1~)
+    ,golang-github-tonistiigi-fsutil-dev (>= 0.0~git20240424.91a3fc4-1~)
     ,golang-github-tonistiigi-units-dev
-    ,golang-github-opencontainers-image-spec-dev (>= 1.1.0~rc4~)
+    ,golang-github-opencontainers-image-spec-dev (>= 1.1.0-2~)
     ,golang-github-opencontainers-runtime-tools-dev
     ,golang-github-opencontainers-selinux-dev
     ,golang-github-opencontainers-specs-dev
@@ -72,7 +75,7 @@
     ,golang-github-satori-go.uuid-dev
     ,golang-github-spf13-cobra-dev
     ,golang-github-spf13-pflag-dev
-    ,golang-gopkg-square-go-jose.v2-dev
+    ,golang-github-go-jose-go-jose-dev (>= 4.0.2~)
     ,golang-gopkg-yaml.v3-dev
     ,golang-github-sylabs-json-resp-dev
     ,golang-github-vbatts-tar-split-dev
@@ -80,7 +83,6 @@
 #   ,golang-golang-x-crypto-dev :: (patched by upstream)
     ,golang-golang-x-term-dev
     ,golang-golang-x-text-dev
-    ,golang-golang-x-sys-dev
     ,golang-gopkg-cheggaaa-pb.v1-dev
     ,help2man
     ,libssl-dev

## singularity-container 4.1.5+ds4

=== vendor/go.opentelemetry.io/otel/Makefile ===
# Copyright The OpenTelemetry Authors
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

TOOLS_MOD_DIR := ./internal/tools

ALL_DOCS := $(shell find . -name '*.md' -type f | sort)
ALL_GO_MOD_DIRS := $(shell find . -type f -name 'go.mod' -exec dirname {} \; | sort)
OTEL_GO_MOD_DIRS := $(filter-out $(TOOLS_MOD_DIR), $(ALL_GO_MOD_DIRS))
ALL_COVERAGE_MOD_DIRS := $(shell find . -type f -name 'go.mod' -exec dirname {} \; | grep -E -v '^./example|^$(TOOLS_MOD_DIR)' | sort)

GO = go
TIMEOUT = 60

.DEFAULT_GOAL := precommit

.PHONY: precommit ci
precommit: generate dependabot-generate license-check misspell go-mod-tidy golangci-lint-fix test-default
ci: generate dependabot-check license-check lint vanity-import-check build test-default check-clean-work-tree test-coverage

# Tools

TOOLS = $(CURDIR)/.tools

$(TOOLS):
	@mkdir -p $@
$(TOOLS)/%: | $(TOOLS)
	cd $(TOOLS_MOD_DIR) && \
	$(GO) build -o $@ $(PACKAGE)

MULTIMOD = $(TOOLS)/multimod
$(TOOLS)/multimod: PACKAGE=go.opentelemetry.io/build-tools/multimod

SEMCONVGEN = $(TOOLS)/semconvgen
$(TOOLS)/semconvgen: PACKAGE=go.opentelemetry.io/build-tools/semconvgen

CROSSLINK = $(TOOLS)/crosslink
$(TOOLS)/crosslink: PACKAGE=go.opentelemetry.io/build-tools/crosslink

SEMCONVKIT = $(TOOLS)/semconvkit
$(TOOLS)/semconvkit: PACKAGE=go.opentelemetry.io/otel/$(TOOLS_MOD_DIR)/semconvkit

DBOTCONF = $(TOOLS)/dbotconf
$(TOOLS)/dbotconf: PACKAGE=go.opentelemetry.io/build-tools/dbotconf

GOLANGCI_LINT = $(TOOLS)/golangci-lint
$(TOOLS)/golangci-lint: PACKAGE=github.com/golangci/golangci-lint/cmd/golangci-lint

MISSPELL = $(TOOLS)/misspell
$(TOOLS)/misspell: PACKAGE=github.com/client9/misspell/cmd/misspell

GOCOVMERGE = $(TOOLS)/gocovmerge
$(TOOLS)/gocovmerge: PACKAGE=github.com/wadey/gocovmerge

STRINGER = $(TOOLS)/stringer
$(TOOLS)/stringer: PACKAGE=golang.org/x/tools/cmd/stringer

PORTO = $(TOOLS)/porto
$(TOOLS)/porto: PACKAGE=github.com/jcchavezs/porto/cmd/porto

GOJQ = $(TOOLS)/gojq
$(TOOLS)/gojq: PACKAGE=github.com/itchyny/gojq/cmd/gojq

GOTMPL = $(TOOLS)/gotmpl
$(GOTMPL): PACKAGE=go.opentelemetry.io/build-tools/gotmpl

GORELEASE = $(TOOLS)/gorelease
$(GORELEASE): PACKAGE=golang.org/x/exp/cmd/gorelease

GOVULNCHECK = $(TOOLS)/govulncheck
$(TOOLS)/govulncheck: PACKAGE=golang.org/x/vuln/cmd/govulncheck

.PHONY: tools
tools: $(CROSSLINK) $(DBOTCONF) $(GOLANGCI_LINT) $(MISSPELL) $(GOCOVMERGE) $(STRINGER) $(PORTO) $(GOJQ) $(SEMCONVGEN) $(MULTIMOD) $(SEMCONVKIT) $(GOTMPL) $(GORELEASE)

# Virtualized python tools via docker

# The directory where the virtual environment is created.
VENVDIR := venv

# The directory where the python tools are installed.
PYTOOLS := $(VENVDIR)/bin

# The pip executable in the virtual environment.
PIP := $(PYTOOLS)/pip

# The directory in the docker image where the current directory is mounted.
WORKDIR := /workdir

# The python image to use for the virtual environment.
PYTHONIMAGE := python:3.11.3-slim-bullseye

# Run the python image with the current directory mounted.
DOCKERPY := docker run --rm -v "$(CURDIR):$(WORKDIR)" -w $(WORKDIR) $(PYTHONIMAGE)

# Create a virtual environment for Python tools.
$(PYTOOLS):
# The `--upgrade` flag is needed to ensure that the virtual environment is
# created with the latest pip version.
	@$(DOCKERPY) bash -c "python3 -m venv $(VENVDIR) && $(PIP) install --upgrade pip"

# Install python packages into the virtual environment.
$(PYTOOLS)/%: | $(PYTOOLS)
	@$(DOCKERPY) $(PIP) install -r requirements.txt

CODESPELL = $(PYTOOLS)/codespell
$(CODESPELL): PACKAGE=codespell

# Generate

.PHONY: generate
generate: go-generate vanity-import-fix

.PHONY: go-generate
go-generate: $(OTEL_GO_MOD_DIRS:%=go-generate/%)
go-generate/%: DIR=$*
go-generate/%: | $(STRINGER) $(GOTMPL)
	@echo "$(GO) generate $(DIR)/..." \
		&& cd $(DIR) \
		&& PATH="$(TOOLS):$${PATH}" $(GO) generate ./...

.PHONY: vanity-import-fix
vanity-import-fix: | $(PORTO)
	@$(PORTO) --include-internal -w .

# Generate go.work file for local development.
.PHONY: go-work
go-work: | $(CROSSLINK)
	$(CROSSLINK) work --root=$(shell pwd)

# Build

.PHONY: build

build: $(OTEL_GO_MOD_DIRS:%=build/%) $(OTEL_GO_MOD_DIRS:%=build-tests/%)
build/%: DIR=$*
build/%:
	@echo "$(GO) build $(DIR)/..." \
		&& cd $(DIR) \
		&& $(GO) build ./...

build-tests/%: DIR=$*
build-tests/%:
	@echo "$(GO) build tests $(DIR)/..." \
		&& cd $(DIR) \
		&& $(GO) list ./... \
		| grep -v third_party \
		| xargs $(GO) test -vet=off -run xxxxxMatchNothingxxxxx >/dev/null

# Tests

TEST_TARGETS := test-default test-bench test-short test-verbose test-race
.PHONY: $(TEST_TARGETS) test
test-default test-race: ARGS=-race
test-bench:   ARGS=-run=xxxxxMatchNothingxxxxx -test.benchtime=1ms -bench=.
test-short:   ARGS=-short
test-verbose: ARGS=-v -race
$(TEST_TARGETS): test
test: $(OTEL_GO_MOD_DIRS:%=test/%)
test/%: DIR=$*
test/%:
	@echo "$(GO) test -timeout $(TIMEOUT)s $(ARGS) $(DIR)/..." \
		&& cd $(DIR) \
		&& $(GO) list ./... \
		| grep -v third_party \
		| xargs $(GO) test -timeout $(TIMEOUT)s $(ARGS)

COVERAGE_MODE    = atomic
COVERAGE_PROFILE = coverage.out
.PHONY: test-coverage
test-coverage: | $(GOCOVMERGE)
	@set -e; \
	printf "" > coverage.txt; \
	for dir in $(ALL_COVERAGE_MOD_DIRS); do \
	  echo "$(GO) test -coverpkg=go.opentelemetry.io/otel/... -covermode=$(COVERAGE_MODE) -coverprofile="$(COVERAGE_PROFILE)" $${dir}/..."; \
	  (cd "$${dir}" && \
	    $(GO) list ./... \
	    | grep -v third_party \
	    | grep -v 'semconv/v.*' \
	    | xargs $(GO) test -coverpkg=./... -covermode=$(COVERAGE_MODE) -coverprofile="$(COVERAGE_PROFILE)" && \
	  $(GO) tool cover -html=coverage.out -o coverage.html); \
	done; \
	$(GOCOVMERGE) $$(find . -name coverage.out) > coverage.txt

# Adding a directory will include all benchmarks in that directory if a filter is not specified.
BENCHMARK_TARGETS := sdk/trace
.PHONY: benchmark
benchmark: $(BENCHMARK_TARGETS:%=benchmark/%)
BENCHMARK_FILTER = .
# You can override the filter for a particular directory by adding a rule here.
benchmark/sdk/trace: BENCHMARK_FILTER = SpanWithAttributes_8/AlwaysSample
benchmark/%:
	@echo "$(GO) test -timeout $(TIMEOUT)s -run=xxxxxMatchNothingxxxxx -bench=$(BENCHMARK_FILTER) $*..." \
		&& cd $* \
		$(foreach filter, $(BENCHMARK_FILTER), && $(GO) test -timeout $(TIMEOUT)s -run=xxxxxMatchNothingxxxxx -bench=$(filter))

.PHONY: golangci-lint golangci-lint-fix
golangci-lint-fix: ARGS=--fix
golangci-lint-fix: golangci-lint
golangci-lint: $(OTEL_GO_MOD_DIRS:%=golangci-lint/%)
golangci-lint/%: DIR=$*
golangci-lint/%: | $(GOLANGCI_LINT)
	@echo 'golangci-lint $(if $(ARGS),$(ARGS) ,)$(DIR)' \
		&& cd $(DIR) \
		&& $(GOLANGCI_LINT) run --allow-serial-runners $(ARGS)

.PHONY: crosslink
crosslink: | $(CROSSLINK)
	@echo "Updating intra-repository dependencies in all go modules" \
		&& $(CROSSLINK) --root=$(shell pwd) --prune

.PHONY: go-mod-tidy
go-mod-tidy: $(ALL_GO_MOD_DIRS:%=go-mod-tidy/%)
go-mod-tidy/%: DIR=$*
go-mod-tidy/%: | crosslink
	@echo "$(GO) mod tidy in $(DIR)" \
		&& cd $(DIR) \
		&& $(GO) mod tidy -compat=1.20

.PHONY: lint-modules
lint-modules: go-mod-tidy

.PHONY: lint
lint: misspell lint-modules golangci-lint govulncheck

.PHONY: vanity-import-check
vanity-import-check: | $(PORTO)
	@$(PORTO) --include-internal -l . || ( echo "(run: make vanity-import-fix)"; exit 1 )

.PHONY: misspell
misspell: | $(MISSPELL)
	@$(MISSPELL) -w $(ALL_DOCS)

.PHONY: govulncheck
govulncheck: $(OTEL_GO_MOD_DIRS:%=govulncheck/%)
govulncheck/%: DIR=$*
govulncheck/%: | $(GOVULNCHECK)
	@echo "govulncheck ./... in $(DIR)" \
		&& cd $(DIR) \
		&& $(GOVULNCHECK) ./...

.PHONY: codespell
codespell: | $(CODESPELL)
	@$(DOCKERPY) $(CODESPELL)

.PHONY: license-check
license-check:
	@licRes=$$(for f in $$(find . -type f \( -iname '*.go' -o -iname '*.sh' \) ! -path '**/third_party/*' ! -path './.git/*' ) ; do \
	           awk '/Copyright The OpenTelemetry Authors|generated|GENERATED/ && NR<=4 { found=1; next } END { if (!found) print FILENAME }' $$f; \
	   done); \
	   if [ -n "$${licRes}" ]; then \
	           echo "license header checking failed:"; echo "$${licRes}"; \
	           exit 1; \
	   fi

DEPENDABOT_CONFIG = .github/dependabot.yml
.PHONY: dependabot-check
dependabot-check: | $(DBOTCONF)
	@$(DBOTCONF) verify $(DEPENDABOT_CONFIG) || ( echo "(run: make dependabot-generate)"; exit 1 )

.PHONY: dependabot-generate
dependabot-generate: | $(DBOTCONF)
	@$(DBOTCONF) generate > $(DEPENDABOT_CONFIG)

.PHONY: check-clean-work-tree
check-clean-work-tree:
	@if ! git diff --quiet; then \
	  echo; \
	  echo 'Working tree is not clean, did you forget to run "make precommit"?'; \
	  echo; \
	  git status; \
	  exit 1; \
	fi

SEMCONVPKG ?= "semconv/"
.PHONY: semconv-generate
semconv-generate: | $(SEMCONVGEN) $(SEMCONVKIT)
	[ "$(TAG)" ] || ( echo "TAG unset: missing opentelemetry semantic-conventions tag"; exit 1 )
	[ "$(OTEL_SEMCONV_REPO)" ] || ( echo "OTEL_SEMCONV_REPO unset: missing path to opentelemetry semantic-conventions repo"; exit 1 )
	$(SEMCONVGEN) -i "$(OTEL_SEMCONV_REPO)/model/." --only=span -p conventionType=trace -f trace.go -t "$(SEMCONVPKG)/template.j2" -s "$(TAG)"
	$(SEMCONVGEN) -i "$(OTEL_SEMCONV_REPO)/model/." --only=attribute_group -p conventionType=trace -f attribute_group.go -t "$(SEMCONVPKG)/template.j2" -s "$(TAG)"
	$(SEMCONVGEN) -i "$(OTEL_SEMCONV_REPO)/model/." --only=event -p conventionType=event -f event.go -t "$(SEMCONVPKG)/template.j2" -s "$(TAG)"
	$(SEMCONVGEN) -i "$(OTEL_SEMCONV_REPO)/model/." --only=resource -p conventionType=resource -f resource.go -t "$(SEMCONVPKG)/template.j2" -s "$(TAG)"
	$(SEMCONVKIT) -output "$(SEMCONVPKG)/$(TAG)" -tag "$(TAG)"

.PHONY: gorelease
gorelease: $(OTEL_GO_MOD_DIRS:%=gorelease/%)
gorelease/%: DIR=$*
gorelease/%:| $(GORELEASE)
	@echo "gorelease in $(DIR):" \
		&& cd $(DIR) \
		&& $(GORELEASE) \
		|| echo ""

.PHONY: prerelease
prerelease: | $(MULTIMOD)
	@[ "${MODSET}" ] || ( echo ">> env var MODSET is not set"; exit 1 )
	$(MULTIMOD) verify && $(MULTIMOD) prerelease -m ${MODSET}

COMMIT ?= "HEAD"
.PHONY: add-tags
add-tags: | $(MULTIMOD)
	@[ "${MODSET}" ] || ( echo ">> env var MODSET is not set"; exit 1 )
	$(MULTIMOD) verify && $(MULTIMOD) tag -m ${MODSET} -c ${COMMIT}

.PHONY: lint-markdown
lint-markdown: 
	docker run -v "$(CURDIR):$(WORKDIR)" avtodev/markdown-lint:v1 -c $(WORKDIR)/.markdownlint.yaml $(WORKDIR)/**/*.md

=== debian/changelog ===
singularity-container (4.1.5+ds4-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 4.1.5+ds4 (Repacked containerd)
    Closes: #1087556

 -- Nilesh Patra <nilesh@debian.org>  Fri, 28 Feb 2025 00:39:54 +0530

=== debian/control ===
--- 
+++ 
@@ -16,6 +16,7 @@
     ,golang-github-containernetworking-plugins-dev
     ,golang-github-containerd-console-dev
     ,golang-github-containerd-continuity-dev
+    ,golang-github-containerd-containerd-dev (>= 1.7.20~)
     ,golang-github-containerd-fifo-dev
     ,golang-github-containerd-errdefs-dev
     ,golang-github-containerd-go-cni-dev
@@ -90,8 +91,8 @@
     ,uuid-dev
 Homepage: https://www.sylabs.io
 Rules-Requires-Root: no
-Vcs-Git: https://salsa.debian.org/hpc-team/singularity-container.git
-Vcs-Browser: https://salsa.debian.org/hpc-team/singularity-container
+Vcs-Git: https://salsa.debian.org/go-team/packages/singularity-container.git
+Vcs-Browser: https://salsa.debian.org/go-team/packages/singularity-container
 XS-Go-Import-Path: github.com/sylabs/singularity
 
 Package: singularity-container

=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,7 @@
 UPSTREAM_VERSION := $(shell echo $(DEB_VERSION_UPSTREAM) | sed 's/+.*//')
 
 # List test tags
-GO_TEST_TAGS := containers_image_openpgp exclude_graphdriver_btrfs exclude_graphdriver_devicemapper sylog singularity_engine fakeroot_engine
+GO_TEST_TAGS := sylog singularity_engine fakeroot_engine apparmor selinux seccomp
 
 %:
 	dh $@ --with golang --builddirectory=_build --buildsystem=golang
